Bug 463039 - preload-0.4-6.fc9 made system unusable!
preload-0.4-6.fc9 made system unusable!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: preload (Show other bugs)
9
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 21:12 EDT by Neal Becker
Modified: 2009-03-18 08:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 08:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-09-20 21:12:23 EDT
Description of problem:

Today I updated preload.  After that, when rebooted, I could not login, even as root (just hung in mode 3).  (Noticed disk showing sporatic activity, but after choosing user name 'root', I was never prompted for 'password')

Had to boot into single user, yum remove preload, then it's OK again.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Neal Becker 2008-09-20 21:14:59 EDT
Sep 20 20:27:42 nbecker1 kernel: preload invoked oom-killer: gfp_mask=0xd0, order=1, oomkilladj=0
Sep 20 20:27:42 nbecker1 kernel: Pid: 6209, comm: preload Tainted: P          2.6.26.3-29.fc9.x86_64 #1
Sep 20 20:27:42 nbecker1 kernel:
Sep 20 20:27:42 nbecker1 kernel: Call Trace:
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8107f901>] oom_kill_process+0x5d/0x1f8
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8106682f>] ? cpuset_mems_allowed_intersects+0x1c/0x1e
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8107fc5e>] ? badness+0x198/0x1db
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8107ff15>] out_of_memory+0x274/0x2af
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff81083328>] __alloc_pages_internal+0x38a/0x44a
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff810833f1>] __alloc_pages_nodemask+0x9/0xb
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8109ea48>] alloc_pages_current+0xb9/0xc2
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8108266e>] __get_free_pages+0xe/0x4d
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff810351f2>] copy_process+0xbb/0x1259
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8104cbf8>] ? hrtimer_start+0x11f/0x141
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff81031caa>] ? hrtick_set+0xa1/0xfc
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff81036482>] do_fork+0xf2/0x22d
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8100c291>] ? tracesys+0xd0/0xd5
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8100a5e9>] sys_clone+0x23/0x25
Sep 20 20:27:42 nbecker1 kernel: [<ffffffff8100c477>] ptregscall_common+0x67/0xb0
Sep 20 20:27:42 nbecker1 kernel:
Comment 2 Carlos Eduardo Maiolino 2009-03-13 16:24:13 EDT
Hi, sorry but we didn't get to this report before now. 

If this is a reproducible issue, are you still experiencing it with the latest preload and kernel packages ? If yes, can you send updated information about the error ?

Thanks

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Neal Becker 2009-03-13 17:32:32 EDT
I must be crazy to try this experiment again :)

preload-0.6.3-1.fc10.x86_64
kernel-2.6.27.19-170.2.35.fc10.x86_64

No prob so far, but where are messages logged?  I see nothing new in /var/log/preload.log
Comment 4 Adam Williamson 2009-03-17 17:37:04 EDT
I see you reported on f9 and are re-testing on f10...do you still have f9 installed? If not, we'll probably have to close this as the environment in which the bug happened just isn't around any more. Can you confirm? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Neal Becker 2009-03-17 19:30:53 EDT
No, I don't have F9.
Comment 6 Adam Williamson 2009-03-18 08:57:57 EDT
Then we'll have to close this, I'm afraid. But please do either re-open and update this report, or file another report, if you experience the issue again. Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.